/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_GERECOMP                                                 */
/* Tabela : GERECOMP                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 04/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_GERECOMP'  and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_GERECOMP
GO

CREATE TRIGGER DTULTATU_GERECOMP
ON GERECOMP
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'GERECOMP', null, 'CDOPERGERE='+ CDOPERGERE+ ';'+
                                       'CDOPERGERE='+ CDOPERGERE+ ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE GERECOMP
      SET DTULTATUGECO = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(GERECOMP.CDOPERCOMP,0) = ISNULL(INSERTED.CDOPERCOMP,0)) AND
            (ISNULL(GERECOMP.CDOPERGERE,0) = ISNULL(INSERTED.CDOPERGERE,0));
   END;
END;
GO

